Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::push_back_fn Struct Reference
Actions

## Public Member Functions
template<typename Rng , typename T >
Rng | operator() (Rng &&rng, std::initializer_list< T > t) const
template<typename Rng , typename T >
Rng | operator() (Rng &&rng, T &&t) const
template<typename T >
constexpr auto | operator() (std::initializer_list< T > val) const
template<typename T >
constexpr auto | operator() (T &&val) const
template<typename T >
constexpr auto | operator() (T &t) const

## Member Function Documentation

## ◆ operator()() [1/3]

template<typename Rng , typename T >

Rng ranges::push_back_fn::operator() | ( | Rng && | rng,
|  | std::initializer_list< T > | t
| ) |  | const

Precondition
  requires `input_range<Rng> && can_push_back_<Rng, std::initializer_list<T>> && constructible_from<range_value_t<Rng>, T const &>`

## ◆ operator()() [2/3]

template<typename Rng , typename T >

Rng ranges::push_back_fn::operator() | ( | Rng && | rng,
|  | T && | t
| ) |  | const

Precondition
  requires `input_range<Rng> && can_push_back_<Rng, T> && (range<T> || constructible_from<range_value_t<Rng>, T>)` //

## ◆ operator()() [3/3]

template<typename T >

constexpr auto ranges::push_back_fn::operator() | ( | T & | t | ) | const
| constexpr

Precondition
  requires `range<T &>`